//CN-Palm Summer 2003

#ifndef _WIN_H
#define _WIN_H

#include "palm.h"

//Spritesheet details
#define fontWidth    8
#define fontHeight   8
#define charsWide    48
#define charsHigh    2

//Buffer details
#define bufferHeight 112
#define bufferWidth  160
#define bufferTopY   16
#define bufferInsY   (bufferHeight - fontHeight)

/*
enum {
	CLR_GRAY   = 12,	//173,173,173	12
	CLR_GREEN  = 231,	//107,222,90	231
	CLR_BLUE   = 163,	//181,181,255	163
	CLR_RED    = 40,	//222,49,8		40
	CLR_YELLOW = 79,	//255,189,41	79
	CLR_PURPLE = 212,	//173,107,247	212
	CLR_ORANGE = 51,	//239,107,24	51
	CLR_PINK   = 246	//255,140,156	246
};
*/

#define CLR_GRAY   221
#define CLR_GREEN  163
#define CLR_BLUE   19
#define CLR_RED    142
#define CLR_YELLOW 115
#define CLR_PURPLE 39
#define CLR_ORANGE 123
#define CLR_PINK   112

//Globals
WinHandle screenH, bufferH;
//WinHandle fontH;

//Prototypes
extern void WRefresh();
extern void WAddMessage(UInt8 color, const Char *message);

extern void WInit();
extern void WEnd();

#define DAddMessage(x) WAddMessage(CLR_GREEN, (x))
#define DRefresh() WRefresh()

#endif
